mega = 1000000
giga = mega * 1000
steam_joules = 5.8 * mega / 60


# print(steam_joulesw)

# target_power = d * giga / 120
target_power = 2.28 * giga
print(target_power)

turbine_power = 5.82*mega
turbine_count = target_power / turbine_power
print('number of turbines', turbine_count)

duration = 120
turbine_steam_per_second = 60

steam_required = turbine_count * duration * turbine_steam_per_second
steam_tanks = steam_required / 25000
steam_tanks = 12*12
print('steam_tanks', steam_tanks)


tanks_in_row = 6
row_count = steam_tanks / tanks_in_row
turbines_per_row = turbine_count / row_count

print(f'row_count: {row_count}')
print(f'turbines_per_row: {turbines_per_row}')

print(25*6)
